summaryrefslogtreecommitdiff
path: root/dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-24 17:43:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-24 17:43:48 +0000
commit02a0710244f492181cabef8fc3233c3a9e7d8198 (patch)
treec65d65b715dd051f8d2bea17d330259e036170f6 /dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild
parent97ecfc29ae17c48443fd4c7e86602d3dbd5dad8b (diff)
downloadbaldeagleos-repo-02a0710244f492181cabef8fc3233c3a9e7d8198.tar.gz
baldeagleos-repo-02a0710244f492181cabef8fc3233c3a9e7d8198.tar.xz
baldeagleos-repo-02a0710244f492181cabef8fc3233c3a9e7d8198.zip
Adding metadata
Diffstat (limited to 'dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild')
-rw-r--r--dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild b/dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild
new file mode 100644
index 000000000000..99283f0f51ab
--- /dev/null
+++ b/dev-python/python-bugzilla/python-bugzilla-3.3.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A python module for interacting with Bugzilla over XMLRPC"
+HOMEPAGE="
+ https://github.com/python-bugzilla/python-bugzilla/
+ https://pypi.org/project/python-bugzilla/
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ || (
+ dev-python/python-magic[${PYTHON_USEDEP}]
+ sys-apps/file[python,${PYTHON_USEDEP}]
+ )
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest